package androidx.appcompat.view.menu;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.SubMenu;
import b.e.f.a.a;

/* access modifiers changed from: package-private */
/* compiled from: MenuWrapperICS */
public class r extends c<a> implements Menu {
    r(Context context, a aVar) {
        super(context, aVar);
    }

    @Override // android.view.Menu
    public MenuItem add(CharSequence charSequence) {
        return c(this.f210a.add(charSequence));
    }

    public int addIntentOptions(int i, int i2, int i3, ComponentName componentName, Intent[] intentArr, Intent intent, int i4, MenuItem[] menuItemArr) {
        MenuItem[] menuItemArr2 = menuItemArr != null ? new MenuItem[menuItemArr.length] : null;
        int addIntentOptions = this.f210a.addIntentOptions(i, i2, i3, componentName, intentArr, intent, i4, menuItemArr2);
        if (menuItemArr2 != null) {
            int length = menuItemArr2.length;
            for (int i5 = 0; i5 < length; i5++) {
                menuItemArr[i5] = c(menuItemArr2[i5]);
            }
        }
        return addIntentOptions;
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(CharSequence charSequence) {
        return d(this.f210a.addSubMenu(charSequence));
    }

    public void clear() {
        e();
        this.f210a.clear();
    }

    public void close() {
        this.f210a.close();
    }

    public MenuItem findItem(int i) {
        return c(this.f210a.findItem(i));
    }

    public MenuItem getItem(int i) {
        return c(this.f210a.getItem(i));
    }

    public boolean hasVisibleItems() {
        return this.f210a.hasVisibleItems();
    }

    public boolean isShortcutKey(int i, KeyEvent keyEvent) {
        return this.f210a.isShortcutKey(i, keyEvent);
    }

    public boolean performIdentifierAction(int i, int i2) {
        return this.f210a.performIdentifierAction(i, i2);
    }

    public boolean performShortcut(int i, KeyEvent keyEvent, int i2) {
        return this.f210a.performShortcut(i, keyEvent, i2);
    }

    public void removeGroup(int i) {
        f(i);
        this.f210a.removeGroup(i);
    }

    public void removeItem(int i) {
        g(i);
        this.f210a.removeItem(i);
    }

    public void setGroupCheckable(int i, boolean z, boolean z2) {
        this.f210a.setGroupCheckable(i, z, z2);
    }

    public void setGroupEnabled(int i, boolean z) {
        this.f210a.setGroupEnabled(i, z);
    }

    public void setGroupVisible(int i, boolean z) {
        this.f210a.setGroupVisible(i, z);
    }

    public void setQwertyMode(boolean z) {
        this.f210a.setQwertyMode(z);
    }

    public int size() {
        return this.f210a.size();
    }

    @Override // android.view.Menu
    public MenuItem add(int i) {
        return c(this.f210a.add(i));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i) {
        return d(this.f210a.addSubMenu(i));
    }

    @Override // android.view.Menu
    public MenuItem add(int i, int i2, int i3, CharSequence charSequence) {
        return c(this.f210a.add(i, i2, i3, charSequence));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i, int i2, int i3, CharSequence charSequence) {
        return d(this.f210a.addSubMenu(i, i2, i3, charSequence));
    }

    @Override // android.view.Menu
    public MenuItem add(int i, int i2, int i3, int i4) {
        return c(this.f210a.add(i, i2, i3, i4));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i, int i2, int i3, int i4) {
        return d(this.f210a.addSubMenu(i, i2, i3, i4));
    }
}
