package org.acra.sender;

import android.content.Context;
import org.acra.config.ACRAConfiguration;

public final class HttpSenderFactory implements ReportSenderFactory {
    @Override // org.acra.sender.ReportSenderFactory
    public ReportSender create(Context context, ACRAConfiguration aCRAConfiguration) {
        return new HttpSender(aCRAConfiguration, aCRAConfiguration.httpMethod(), aCRAConfiguration.reportType(), null);
    }
}
