package androidx.versionedparcelable;

import android.os.Parcelable;
import java.lang.reflect.InvocationTargetException;

/* compiled from: VersionedParcel */
public abstract class a {
    protected static <T extends c> void B(T t, a aVar) {
        try {
            c(t).getDeclaredMethod("write", t.getClass(), a.class).invoke(null, t, aVar);
        } catch (IllegalAccessException e2) {
            throw new RuntimeException("VersionedParcel encountered IllegalAccessException", e2);
        } catch (InvocationTargetException e3) {
            if (e3.getCause() instanceof RuntimeException) {
                throw ((RuntimeException) e3.getCause());
            }
            throw new RuntimeException("VersionedParcel encountered InvocationTargetException", e3);
        } catch (NoSuchMethodException e4) {
            throw new RuntimeException("VersionedParcel encountered NoSuchMethodException", e4);
        } catch (ClassNotFoundException e5) {
            throw new RuntimeException("VersionedParcel encountered ClassNotFoundException", e5);
        }
    }

    private void E(c cVar) {
        try {
            z(d(cVar.getClass()).getName());
        } catch (ClassNotFoundException e2) {
            throw new RuntimeException(cVar.getClass().getSimpleName() + " does not have a Parcelizer", e2);
        }
    }

    private static <T extends c> Class c(T t) {
        return d(t.getClass());
    }

    private static Class d(Class<? extends c> cls) {
        return Class.forName(String.format("%s.%sParcelizer", cls.getPackage().getName(), cls.getSimpleName()), false, cls.getClassLoader());
    }

    protected static <T extends c> T i(String str, a aVar) {
        try {
            return (T) ((c) Class.forName(str, true, a.class.getClassLoader()).getDeclaredMethod("read", a.class).invoke(null, aVar));
        } catch (IllegalAccessException e2) {
            throw new RuntimeException("VersionedParcel encountered IllegalAccessException", e2);
        } catch (InvocationTargetException e3) {
            if (e3.getCause() instanceof RuntimeException) {
                throw ((RuntimeException) e3.getCause());
            }
            throw new RuntimeException("VersionedParcel encountered InvocationTargetException", e3);
        } catch (NoSuchMethodException e4) {
            throw new RuntimeException("VersionedParcel encountered NoSuchMethodException", e4);
        } catch (ClassNotFoundException e5) {
            throw new RuntimeException("VersionedParcel encountered ClassNotFoundException", e5);
        }
    }

    public void A(String str, int i) {
        r(i);
        z(str);
    }

    /* access modifiers changed from: protected */
    public void C(c cVar) {
        if (cVar == null) {
            z(null);
            return;
        }
        E(cVar);
        a b2 = b();
        B(cVar, b2);
        b2.a();
    }

    public void D(c cVar, int i) {
        r(i);
        C(cVar);
    }

    /* access modifiers changed from: protected */
    public abstract void a();

    /* access modifiers changed from: protected */
    public abstract a b();

    public boolean e() {
        return false;
    }

    /* access modifiers changed from: protected */
    public abstract byte[] f();

    public byte[] g(byte[] bArr, int i) {
        if (!h(i)) {
            return bArr;
        }
        return f();
    }

    /* access modifiers changed from: protected */
    public abstract boolean h(int i);

    /* access modifiers changed from: protected */
    public abstract int j();

    public int k(int i, int i2) {
        if (!h(i2)) {
            return i;
        }
        return j();
    }

    /* access modifiers changed from: protected */
    public abstract <T extends Parcelable> T l();

    public <T extends Parcelable> T m(T t, int i) {
        return !h(i) ? t : (T) l();
    }

    /* access modifiers changed from: protected */
    public abstract String n();

    public String o(String str, int i) {
        if (!h(i)) {
            return str;
        }
        return n();
    }

    /* access modifiers changed from: protected */
    public <T extends c> T p() {
        String n = n();
        if (n == null) {
            return null;
        }
        return (T) i(n, b());
    }

    public <T extends c> T q(T t, int i) {
        return !h(i) ? t : (T) p();
    }

    /* access modifiers changed from: protected */
    public abstract void r(int i);

    public void s(boolean z, boolean z2) {
    }

    /* access modifiers changed from: protected */
    public abstract void t(byte[] bArr);

    public void u(byte[] bArr, int i) {
        r(i);
        t(bArr);
    }

    /* access modifiers changed from: protected */
    public abstract void v(int i);

    public void w(int i, int i2) {
        r(i2);
        v(i);
    }

    /* access modifiers changed from: protected */
    public abstract void x(Parcelable parcelable);

    public void y(Parcelable parcelable, int i) {
        r(i);
        x(parcelable);
    }

    /* access modifiers changed from: protected */
    public abstract void z(String str);
}
