package org.acra.model;

public class BooleanElement implements Element {
    private final boolean content;

    public BooleanElement(boolean z) {
        this.content = z;
    }

    @Override // org.acra.model.Element
    public String[] flatten() {
        return new String[]{toString()};
    }

    public String toString() {
        return String.valueOf(this.content);
    }

    @Override // org.acra.model.Element
    public Object value() {
        return Boolean.valueOf(this.content);
    }
}
